Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.agf.chart
Enum ChartType

    java.lang.Object
      java.lang.Enum<ChartType>
          org.eclipse.amp.agf.chart.ChartType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ChartType>

    public enum ChartType

extends java.lang.Enum<ChartType>

Enum Constant Summary
`HISTOGRAM`
`PIE`
`STACKED_AREA`
`TIME_SERIES`

Method Summary
`IChartDesignStrategy` | `createStrategy()`
`static ChartType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TIME_SERIES

    public static final ChartType TIME_SERIES

### STACKED_AREA

    public static final ChartType STACKED_AREA

### HISTOGRAM

    public static final ChartType HISTOGRAM

### PIE

    public static final ChartType PIE

Method Detail

### values

    public static ChartType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ChartType c : ChartType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ChartType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### createStrategy

    public IChartDesignStrategy createStrategy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD